import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmModbusDevice',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmModbusDevice/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmModbusDevice',
    method: 'put',
    data
  })
}

export function get(data) {
  return request({
    url: 'api/dmModbusDevice?' + data,
    method: 'get'
  })
}

export function getModbusStatistics() {
  return request({
    url: 'api/dmModbusDevice/getModbusStatistics',
    method: 'get'
  })
}

export default { add, edit, del, get, getModbusStatistics }
